cURL
curl 'https://{domo-domain}/api/query/migration/federated/v1/to/v2/accounts/{integration-type}' \
-H 'accept: application/json,*/*;q=0.8' \
-H 'accept-language: en-US,en;q=0.9' \
-H 'cache-control: max-age=0' \
-H 'X-DOMO-Developer-Token: {developer-token}'import requests
url = "https://{instance}.domo.com/api/query/migration/federated/v1/to/v2/accounts/{integration-type}"
headers = {"X-DOMO-Developer-Token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-DOMO-Developer-Token': '<api-key>'}};
fetch('https://{instance}.domo.com/api/query/migration/federated/v1/to/v2/accounts/{integration-type}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "2",
"type": "mysql-federated",
"name": "mysql v2 agent"
},
{
"id": "1",
"type": "mysql-federated",
"name": "mysql v2"
}
]List Federated V2 Accounts by Integration Type
Retrieves a list of Federated V2 accounts matching the provided Federated integration type. The accounts returned are ones accessible to the calling user, and my change depending on that user’s permissions.
GET
/
api
/
query
/
migration
/
federated
/
v1
/
to
/
v2
/
accounts
/
{integration-type}
cURL
curl 'https://{domo-domain}/api/query/migration/federated/v1/to/v2/accounts/{integration-type}' \
-H 'accept: application/json,*/*;q=0.8' \
-H 'accept-language: en-US,en;q=0.9' \
-H 'cache-control: max-age=0' \
-H 'X-DOMO-Developer-Token: {developer-token}'import requests
url = "https://{instance}.domo.com/api/query/migration/federated/v1/to/v2/accounts/{integration-type}"
headers = {"X-DOMO-Developer-Token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-DOMO-Developer-Token': '<api-key>'}};
fetch('https://{instance}.domo.com/api/query/migration/federated/v1/to/v2/accounts/{integration-type}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "2",
"type": "mysql-federated",
"name": "mysql v2 agent"
},
{
"id": "1",
"type": "mysql-federated",
"name": "mysql v2"
}
]Authorizations
Domo access token that you can generate in the admin panel from within your Domo instance.
Path Parameters
One of the in-use federated integration types returned from the List Federated Integration Types API.
⌘I